org.eclipse.net4j.util.factory

## Class Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory

- All Implemented Interfaces:
    IFactory
  Direct Known Subclasses:
    AuthenticatorFactory, CredentialsProviderFactory, DelegableReentrantLock.DelegateDetector.Factory, ElementWizardFactory, ExecutorServiceFactory, FactoryDescriptor, IConfirmationProvider.Factory, IStreamWrapper.Factory, NegotiatorFactory, PropertiesFactory, RandomizerFactory, TimerLifecycle.DaemonFactory, UserManagerFactory

      public abstract class Factory
      extends java.lang.Object
      implements IFactory

  A default implementation of a `factory`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory(FactoryKey key)`
    `Factory(java.lang.String productGroup, java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescriptionFor(java.lang.Object product)`
    `FactoryKey` | `getKey()`
    `java.lang.String` | `getProductGroup()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create`

- - ### Constructor Detail

    - #### Factory

          public Factory(FactoryKey key)

    - #### Factory

          public Factory(java.lang.String productGroup,
                         java.lang.String type)

  - ### Method Detail

    - #### getKey

          public FactoryKey getKey()

      Specified by:
        `getKey` in interface `IFactory`

    - #### getProductGroup

          public java.lang.String getProductGroup()

    - #### getType

          public java.lang.String getType()

    - #### getDescriptionFor

          public java.lang.String getDescriptionFor(java.lang.Object product)

      Specified by:
        `getDescriptionFor` in interface `IFactory`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html